function tet=drawtet;
% tetra=drawtet  Draws color tetrahedron and labels vertices
% puts vertex (x,y,z) coordinates in output matrix tetra
% sets hold on for subsequent drawing in the tetrahedron
% Use plot3(x,y,z) to put points in
clf;
[ux,uy,uz]=totet(1,0,0,0); [sx,sy,sz]=totet(0,1,0,0);
[mx,my,mz]=totet(0,0,1,0); [lx,ly,lz]=totet(0,0,0,1);
[gx,gy,gz]=totet(1,1,1,1);
vrt=[' U'; ' S'; ' M'; ' L'];
tetx=[ux sx mx lx]'; tety=[uy sy my ly]'; tetz=[uz sz mz lz]';
edx=[ux sx mx lx sx ux lx ux mx]; 
edy=[uy sy my ly sy uy ly uy my];
edz=[uz sz mz lz sz uz lz uz mz];
plot3(tetx,tety,tetz,'.','MarkerSize',10); hold on; 
text(tetx,tety,tetz,vrt); plot3(edx,edy,edz);
plot3(gx,gy,gz,'+'); % gray point
axis image; axis off;
tet=[tetx tety tetz]; 