wf=0.05;                 %Weber fraction

r1=1; r2=2; r3=2; r4=4;  %typical bird values (see Hart's papers)

v1=1/4; v2=1/4; v3=1/4; v4=1/4; %white or gray
v1=0.9; v2=0.8; v3=0.3; v4=0.1; %UV-blue; note how do not need to add to 1

[tx,ty,tz,epx,epy,epz]=GetTetErrorEllipsoids(wf,r1,r2,r3,r4,v1,v2,v3,v4);

plot3(tx,ty,tz,'ok'); hold on;           %plot the stimulus = ellipsoid center
plot3(epx,epy,epz,'.','MarkerSize',3); axis equal; %plot the ellipsoid
title(['Ellipsoid in Tetrahedral space, Weber fraction =' num2str(wf,'%4.2f')]);

figure;  %plot it within the entire tetrahedral color space
DrawTet;
plot3(tx,ty,tz,'ok');                      %plot the stimulus = ellipsoid center
plot3(epx,epy,epz,'.','MarkerSize',3);     %plot the ellipsoid
title(['Ellipsoid in Tetrahedral space, Weber fraction =' num2str(wf,'%4.2f')]);
